package aliyun_avatar

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/aliyun_avatar"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /aliyun_avatar/delete aliyun_avatar DeleteAliyunAvatar
//
// Delete aliyun avatar information | 删除AliyunAvatar信息
//
// Delete aliyun avatar information | 删除AliyunAvatar信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteAliyunAvatarHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := aliyun_avatar.NewDeleteAliyunAvatarLogic(r.Context(), svcCtx)
		resp, err := l.DeleteAliyunAvatar(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
